summaryrefslogtreecommitdiffstats
path: root/reconfig.init
diff options
context:
space:
mode:
authorMike Fulbright <msf@redhat.com>1999-11-30 23:18:19 +0000
committerMike Fulbright <msf@redhat.com>1999-11-30 23:18:19 +0000
commit5910e3853d661c4aa1544f9111fa651521e924b5 (patch)
tree2827d898ece336c62879477e7b5b4c9a0821540f /reconfig.init
parentbeeb609dffdeb0414ca4658911e5dcb4dd8006a9 (diff)
downloadanaconda-5910e3853d661c4aa1544f9111fa651521e924b5.tar.gz
anaconda-5910e3853d661c4aa1544f9111fa651521e924b5.tar.xz
anaconda-5910e3853d661c4aa1544f9111fa651521e924b5.zip
Added preliminary spec file and init script for anaconda-reconfig.
Also made first pass at a create-archive make target to create a distribution tarball. Dr Mike
Diffstat (limited to 'reconfig.init')
-rwxr-xr-xreconfig.init35
1 files changed, 35 insertions, 0 deletions
diff --git a/reconfig.init b/reconfig.init
new file mode 100755
index 000000000..764569203
--- /dev/null
+++ b/reconfig.init
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# reconfig This scripts runs the system reconfig program
+#
+# chkconfig: 345 05 95
+# description: If /etc/reconfigSys exists, run the reconfiguration
+# program and remove /etc/reconfigSys when done.
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+RETVAL=$?
+
+case "$1" in
+ start)
+ if [ -f /etc/reconfigSys ]; then
+ echo -n "Running system reconfiguration tool"
+ /usr/sbin/anaconda-reconfig
+ rm /etc/reconfigSys
+ fi
+
+ # We don't want to run this on random runlevel changes.
+ touch /var/lock/subsys/reconfig
+
+ ;;
+ stop)
+ rm -f /var/lock/subsys/kudzu
+ ;;
+ *)
+ echo "Usage: reconfig {start|stop}"
+ exit 1
+ ;;
+esac
+
+exit $RETVAL